Name: shim-signed-installer-kludge
Version: 15.4
Release: alt1.1

Summary: UEFI RestrictedBoot shim signed by Microsoft
License: BSD
Group: System/Kernel and hardware

Url: https://github.com/rhboot/shim
Source: %name-%version.tar

BuildRequires: rpm-macros-uefi
ExclusiveArch: x86_64

%description
This package contains shim binaries signed by "Microsoft
Windows UEFI Driver Publisher" key for both EFI x64 and EFI ia32
architectures. MokManager (as mm*.efi) and fallback (as fb*.efi)
utilities signed by "ALT UEFI SB Signer 2021" are provided as well.

See https://github.com/rhboot/shim-review/issues/158 for details.

Not intended to be installed in a deployed system.

%prep
%setup

%install
mkdir -p %buildroot%_efi_bindir %buildroot%_libexecdir/shim-installer-kludge
install -p *.efi %buildroot%_libexecdir/shim-installer-kludge/
install -p BOOT*.CSV %buildroot%_libexecdir/shim-installer-kludge/

%files
%dir %_libexecdir/shim-installer-kludge
%attr(0644,root,root) %_libexecdir/shim-installer-kludge/*.efi
%attr(0644,root,root) %_libexecdir/shim-installer-kludge/BOOT*.CSV

%changelog
* Mon Nov 21 2022 Nikolai Kostrigin <nickel@altlinux.org> 15.4-alt1.1
- initial shim-signed-installer-kludge package build based on
  shim-signed-15.4-alt1
- spec: adjust install and build sections, update description
- signed mm and fb are taken from appropriate rpm package

* Thu Jul 08 2021 Nikolai Kostrigin <nickel@altlinux.org> 15.4-alt1
- new shim version

* Mon Dec 21 2020 Nikolai Kostrigin <nickel@altlinux.org> 15-alt2
- add BOOT<efi_arch>.CSV files for fallback boot variable creation

* Mon Mar 18 2019 Nikolai Kostrigin <nickel@altlinux.org> 15-alt1
- new shim version
  + add EFI ia32 binaries as well
  + MokManager and fallback are now renamed to mm<efi_arch>.efi and
    fb<efi_arch>.efi respectively
- adjust spec accordingly to new upstream

* Fri Jun 09 2017 Michael Shigorin <mike@altlinux.org> 0.4-alt6
- built for sisyphus

* Wed Jun 07 2017 Sergey Bolshakov <sbolshakov@altlinux.ru> 0.4-alt5
- made shim binaries accessible also by debian'ish paths

* Sat Apr 01 2017 Michael Shigorin <mike@altlinux.org> 0.4-alt4
- removed ALT signature (closes: #33314)

* Tue Dec 10 2013 Michael Shigorin <mike@altlinux.org> 0.4-alt3
- added ALT signature

* Fri Nov 22 2013 Michael Shigorin <mike@altlinux.org> 0.4-alt2
- added fallback.efi
- signed supplementary binaries with ALT key for versatility

* Tue Nov 19 2013 Michael Shigorin <mike@altlinux.org> 0.4-alt1
- ALT build

* Thu Jan 10 2013 Michael Shigorin <mike@altlinux.org> 0.2-alt2
- only makes sense for x86_64

* Thu Jan 10 2013 Michael Shigorin <mike@altlinux.org> 0.2-alt1
- initial release
